> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get blob credentials for models

> Returns a short-lived S3 credential, key, and bucket for uploading a model blob.



## OpenAPI

````yaml get /v1/blobs/credentials/model
openapi: 3.1.0
info:
  description: REST API for management of Baseten resources
  title: Baseten management API
  version: 1.0.0
servers:
  - url: https://api.baseten.co
security:
  - BearerAuth: []
paths:
  /v1/blobs/credentials/model:
    get:
      summary: Gets blob credentials for models
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBlobCredentialsResponseV1'
      x-codeSamples:
        - lang: bash
          source: |
            curl --request GET \
            --url https://api.baseten.co/v1/blobs/credentials/model \
            --header "Authorization: Bearer $BASETEN_API_KEY"
        - lang: python
          source: |-
            import requests
            import os
            API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
            url = "https://api.baseten.co/v1/blobs/credentials/model"

            headers = {"Authorization": f"Bearer {API_KEY}"}

            response = requests.request(
                "GET",
                url,
                headers=headers,
                json={}
            )

            print(response.text)
components:
  schemas:
    GetBlobCredentialsResponseV1:
      description: Response to create a new set of credentials for blob upload.
      properties:
        creds:
          $ref: '#/components/schemas/AWSCredentialsV1'
          description: The credentials to upload the blob to
        s3_key:
          description: The S3 key to upload the blob to
          title: S3 Key
          type: string
        s3_bucket:
          description: The S3 bucket to upload the blob to
          title: S3 Bucket
          type: string
      required:
        - creds
        - s3_key
        - s3_bucket
      title: GetBlobCredentialsResponseV1
      type: object
    AWSCredentialsV1:
      description: AWS credentials
      properties:
        aws_access_key_id:
          description: The AWS access key ID
          title: Aws Access Key Id
          type: string
        aws_secret_access_key:
          description: The AWS secret access key
          title: Aws Secret Access Key
          type: string
        aws_session_token:
          description: The AWS session token
          title: Aws Session Token
          type: string
      required:
        - aws_access_key_id
        - aws_secret_access_key
        - aws_session_token
      title: AWSCredentialsV1
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Send `Authorization: Bearer <api_key>`. The legacy `Authorization:
        Api-Key <api_key>` scheme is also accepted.

````